Page MenuHomePhabricator

Enable partial blocks on Meta Wiki and MediaWiki.org on Tues Feb 19
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2019, 7:48 PM
TBolliger renamed this task from enable partial blocks on Meta Wiki (and maybe Hebrew Wikipedia.) to enable partial blocks on Meta Wiki (and maybe Hebrew and French Wikipedias.).Feb 13 2019, 8:08 PM

@TBolliger & @SPoore When do you want this done?

Let's SWAT for Meta Wiki and MediaWiki.org on Tuesday Feb. 19.

AR, HE, and FR can wait. I personally don't think we need separate tickets (splitting hairs) but whatever works best for you.

TBolliger renamed this task from enable partial blocks on Meta Wiki (and maybe Hebrew and French Wikipedias.) to enable partial blocks on Meta Wiki and MediaWiki.org on Tues Feb 19, and maybe Hebrew, Arabic, and French Wikipedias soon..Feb 14 2019, 7:22 PM
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptFeb 14 2019, 7:22 PM

If it's going to be deployed in this sprint, it can stay in this ticket, if it's in another sprint, new tickets! :)

dbarratt renamed this task from enable partial blocks on Meta Wiki and MediaWiki.org on Tues Feb 19, and maybe Hebrew, Arabic, and French Wikipedias soon. to Enable partial blocks on Meta Wiki and MediaWiki.org on Tues Feb 19.Feb 18 2019, 7:03 PM

Change 491291 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[operations/mediawiki-config@master] Enable partial blocks on Meta Wiki and MediaWiki.org

https://gerrit.wikimedia.org/r/491291

I am not sure we need partial blocks on Meta to be honest. Will projects be allowed to opt-out from partial blocks? Thanks.

dbarratt claimed this task.Feb 18 2019, 8:11 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (Dalet — ד) board.

Moved to the next SWAT window https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20190220T0000 in order to give @TBolliger an opportunity to answer @MarcoAurelio's question.

Thanks @Tchanders for pointing out the extra SWAT window!

@dbarratt Feel free to reschedule for Feb. 19. My question is in my personal capacity, and do not represent the Meta-Wiki feelings on the matter. Maybe after using/testing it even I could change of mind ;-)

I am not sure we need partial blocks on Meta to be honest. Will projects be allowed to opt-out from partial blocks? Thanks.

As product manager, my primary goal is for Partial Blocks to be an effective tool for communities to handle ambiguous or medium-level incidents of misconduct. We're gathering data on the effectiveness of both sitewide and partial blocks before we proceed with a larger roll-out to wikis who are not actively involved in the early testing.

We're enabling on the more technical-focussed wikis, Meta and MW.org, as a means of having the functionality visible to a wider cross-wiki audience of users and administrators.

As for other wikis — If a wiki does not benefit from partial blocks, then we do not want it to get in the way of moderating a healthy community. We're waiting for the data to come back before we make any decisions about further rollout, we only ask that communities make the decision to use or not enable/use partial blocks in a methodological and open-minded way.

As discussed in today's standup, let's enable this on Wednesday 2/20.

Change 491291 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable partial blocks on Meta Wiki and MediaWiki.org

https://gerrit.wikimedia.org/r/491291

Mentioned in SAL (#wikimedia-operations) [2019-02-21T00:17:37Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable partial blocks on metawiki and mediawikiwiki (T216065) (duration: 00m 54s)

dbarratt closed this task as Resolved.Feb 21 2019, 1:33 AM